SLIRPVDE(1)

NAME
slirpvde - Virtual Distributed Ethernet-Slirp interface

SYNOPSIS
slirpvde OPTIONS [ socketdir ]

DESCRIPTION
slirpvde is a slirp interface for a VDE network.

Slirpvde connects all the units (virtual or real machines) to the network of the host where slirpvde runs as it were a NAT/Masquerading router. The default route is the node 2 (10.0.2.2 in the default network configuration) and DNS is re-mapped in node 3 (10.0.2.3).

Slirpvde runs using standard user privileges (no need for root access): all the connections are re-generated by slirpvde itself.

IPv4 only. IPv6 is still unsupported (will be supported when slirpvde will be rewritten using the LWIPv6 network stack).

OPTIONS

-s, --sock, --socket, --vdesock, --unix directory
    specify the VDE switch directory (default /var/run/vde.ctl). The VDE switch directory can be also specified at the end of the command, as illustrated by the optional parameter socketdir in the synopsis section, above. When '-' is used in place of the VDE switch directory, slirpvde works as a plug (see vde_plug(1)). The command:
    dpipe vde_plug = ssh remote.machine.org slirpvde -
    which is the same as:
    dpipe vde_plug = ssh remote.machine.org slirpvde -s -
    connects the default local switch to a remote slirpvde.

-p, --pidfile filename
    specify the name of the file which contains the PID of slirpvde.

-g, --group group
    specify the UNIX group for the VDE communication socket.

-m, --mod mode
    specify the octal UNIX permissions for the VDE communication socket.

-P, --port port
    specify the port of the vde switch whern slirpvde must be connected.

-d, --daemon
    detach from terminal and run slirpvde in background.

-H, --host address [  /  masklen ]
    specify the host address (default 10.0.2.2/24). This option automatically defines the network. e.g.
    -H 192.168.55.1
    or:
    --host 10.1.2.3/16
    The default value for masklen is 24. If the host part of the address is zero this option defines only the network. The default host addr is addr 2, the default dns proxy is 3. e.g.
    -H 10.1.0.0/16
    defines the network only. The host address is 10.1.0.2 and the DNS proxy 10.1.0.3.

-n, --network address [  /  masklen ]
    specify the network address (default 10.0.2.0/24). Deprecated, it has been included for back compatibility only. It is an alias of -H, --host.

-N, --dns address
    Specify the address of the dns server. If this is an address inside the slirp network, slirvde acts as a dns proxy on that address. The slirpvde dhcp server sends this dns address to the clients. By default this is the host number 3 in the slirpvde network. Using the default network it is 10.0.2.3. Warning: do not use the same address for host and dns.

-D, --dhcp
    turn on the DHCP server for the network autoconfiguration of all the units connected to the VDE. It is possible to specify the start address assigned by the DHCP server as follows:
    --dhcp=10.1.1.44
    DHCP assign addresses starting at host number 15 by default. Using the default network it starts from 10.0.2.15

-L port:vde_host:vde_hostport
    specifyes a TCP port redirection. All the TCP packets received by the host running slirpvde at port port will be forwarded to vde_host at port vde_hostport.

-U port:vde_host:vde_hostport
    specifyes a UDP port redirection. All the UDP packets received by the host running slirpvde at port port will be forwarded to vde_host at port vde_hostport.

-X vde_host[:display.[screen]]i
    redirect a X window screen of a virtual machine. Slirpvde gets the first unused X display on the host running slirpvde and redirects all the requests to vde_host. display and screen] must be specified when different from :0.0.

-x port:unix_socket_path]
    redirect a port of the virtual router (usually 10.0.2.2) to a unix stream socket. It is used for example to redirect a X display of the hosting computer on the virtual network. e.g. -x6000:/tmp/.X11-unix/X0. (A suitable xhost configuration is needed (e.g. 'xhost local:').

-t, --tftp pathname
    slirpvde enables a tftp server sharing (read-only) the directory at pathname.

-q, --quiet
    Quiet; do not write anything to standard output.

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_switch(1), vde_plug(1), vde_plug2tap(1), dpipe(1).

AUTHOR
VDE is a project by Renzo Davoli <renzo@cs.unibo.it>. This tool includes software developed by Danny Gasparovski: Slirp code is by Danny Gasparovsky. Bootp/DHCP code is by Fabrice Bellard.